Package org.eclipse.rdf4j.sail.lmdb.model

## Interface LmdbValue

- All Superinterfaces:
    `Serializable`, `Value`
  All Known Subinterfaces:
    `LmdbResource`
  All Known Implementing Classes:
    `LmdbBNode`, `LmdbIRI`, `LmdbLiteral`

      public interface LmdbValue
      extends Value

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `UNKNOWN_ID` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getInternalID()` | Gets the ID that is used in the lmdb store for this Value.
    `ValueStoreRevision` | `getValueStoreRevision()` | Gets the revision of the value store that created this value.
    `void` | `setInternalID​(long id, ValueStoreRevision revision)` | Sets the ID that is used for this value in a specific revision of the value store.

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `isBNode, isIRI, isLiteral, isResource, isTriple, stringValue`

- - ### Field Detail

    - #### UNKNOWN_ID

          static final long UNKNOWN_ID

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setInternalID

          void setInternalID​(long id,
                             ValueStoreRevision revision)

      Sets the ID that is used for this value in a specific revision of the value store.

    - #### getInternalID

          long getInternalID()

      Gets the ID that is used in the lmdb store for this Value.
      Returns:
        The value's ID, or `UNKNOWN_ID` if not yet set.

    - #### getValueStoreRevision

          ValueStoreRevision getValueStoreRevision()

      Gets the revision of the value store that created this value. The value's internal ID is only valid when it's value store revision is equal to the value store's current revision.
      Returns:
        The revision of the value store that created this value at the time it last set the value's internal ID.